<?php

namespace Vinteract\Payments\Providers\PinPayments\Transfers;

use Vinteract\Payments\Providers\PinPayments\Transfers\Transfer;

class TransferCollection {
	
	private $items = [];
	
	public function __construct($items = []) {
		$this->setItems($items);
	}
	
	public function getItems() {
		return $this->items;
	}
	
	public function setItems($items = []) {
		foreach($items as $item) {
			$this->items[] = new Transfer($item);
		}
	}
	
}
